#
# spec file for package kdepim-runtime
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define kf5_version 5.19.0
%define kf5_pimlibs_version 16.08.2
Name:           kdepim-runtime
Version:        16.08.2
Release:        1.1
Summary:        Runtime modules for kdepim
License:        GPL-2.0
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kdepim-runtime-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-calendar-devel >= %{kf5_pimlibs_version}
BuildRequires:  akonadi-contact-devel >= %{kf5_pimlibs_version}
BuildRequires:  akonadi-server-devel >= %{kf5_pimlibs_version}
BuildRequires:  akonadi-mime-devel >= %{kf5_pimlibs_version}
BuildRequires:  akonadi-notes-devel >= %{kf5_pimlibs_version}
BuildRequires:  extra-cmake-modules
BuildRequires:  kalarmcal-devel >= %{kf5_pimlibs_version}
BuildRequires:  kcalcore-devel >= %{kf5_pimlibs_version}
BuildRequires:  kcalutils-devel >= %{kf5_pimlibs_version}
BuildRequires:  kcodecs-devel >= %{kf5_version}
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kconfigwidgets-devel >= %{kf5_version}
BuildRequires:  kcontacts-devel >= %{kf5_pimlibs_version}
BuildRequires:  kdelibs4support-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  kidentitymanagement-devel >= %{kf5_pimlibs_version}
BuildRequires:  kimap-devel >= %{kf5_pimlibs_version}
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  kitemmodels-devel >= %{kf5_version}
BuildRequires:  kmailtransport-devel >= %{kf5_pimlibs_version}
BuildRequires:  kmbox-devel >= %{kf5_pimlibs_version}
BuildRequires:  kmime-devel >= %{kf5_pimlibs_version}
BuildRequires:  knotifyconfig-devel >= %{kf5_version}
BuildRequires:  kpimtextedit-devel >= %{kf5_pimlibs_version}
BuildRequires:  kross-devel >= %{kf5_version}
BuildRequires:  ktextwidgets-devel >= %{kf5_version}
BuildRequires:  kwindowsystem-devel >= %{kf5_version}
BuildRequires:  libkgapi-devel >= 5.1.0
BuildRequires:  libkolab-qt5-devel >= 1.0.1
BuildRequires:  libkolabxml-devel >= 1.1
BuildRequires:  libxslt-devel
BuildRequires:  shared-mime-info
BuildRequires:  syndication-devel >= %{kf5_pimlibs_version}
BuildRequires:  xz
BuildRequires:  pkgconfig(Qt5DBus) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.5.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= 5.5.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.6.0
Requires:       akonadi-server
Provides:       kio-pimlibs = %{version}
Obsoletes:      kio-pimlibs < %{version}
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
%if 0%{?suse_version} > 1320
Obsoletes:      kdepim4-runtime < %{version}
%else
Conflicts:      kdepim4-runtime
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the Akonadi files of the kdepim module.

%prep
%setup -q -n kdepim-runtime-%{version}

%build
%cmake_kf5 -d build -- -DBUILD_TESTING=ON -DKF5_INCLUDE_INSTALL_DIR=%{_kf5_includedir}

  %make_jobs

%install
  %kf5_makeinstall -C build
  rm -rvf %{buildroot}%{_kf5_libdir}/*.so

%post
/sbin/ldconfig
%mime_database_post

%postun
/sbin/ldconfig
%mime_database_postun

%files
%defattr(-,root,root)
%doc COPYING*
%config %{_kf5_configdir}/kdepim-runtime.categories
%{_kf5_bindir}/*
%{_kf5_iconsdir}/hicolor/*/*/*
%{_kf5_libdir}/*.so.*
%{_kf5_notifydir}/
%{_kf5_plugindir}/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}
%{_kf5_sharedir}/akonadi/
%{_kf5_sharedir}/dbus-1/interfaces/*.xml
%{_kf5_sharedir}/mime/packages/kdepim-mime.xml
%{_kf5_htmldir}/en/kioslave5/

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Thu Aug 25 2016 fabian@ritter-vogt.de
- Provide/Obsolete kio-pimlibs
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Wed Jul 27 2016 wbauer@tmo.at
- Cleanup build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Tue Jun 14 2016 wbauer@tmo.at
- Use shared-mime-info macros (boo#979301)
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
- Drop bko354056.diff due to upstream inclusion
* Wed Mar 30 2016 tittiatcoke@gmail.com
- Add upstream patch bko354056.diff to resolve issues with
  Courier IMAP servers (bko#354056)
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
- Drop patch due to upstream inclusion
  * switch-to-gid-based-merge.diff
* Mon Sep 14 2015 lbeltrame@kde.org
- Add switch-to-gid-based-merge.diff: upstream changes to fix IMAP
  syncing of non-email objects (fixes email syncing with Kolab
  servers)
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Sat Aug 29 2015 cgiboudeaux@gmx.com
- Change the license tag to GPL-2.0
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Initial version based on KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.07.90.php
